org.apache.ignite.internal.processors.cache

## Class GridCacheAdapter.PeekModes

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheAdapter.PeekModes

Enclosing class:
  GridCacheAdapter<K,V>

    protected static final class GridCacheAdapter.PeekModes
    extends Object

### Field Summary

Fields
`boolean` `backup`
`boolean` `heap`
`boolean` `near`
`boolean` `offheap`
`boolean` `primary`

### Constructor Summary

Constructors
`protected` `PeekModes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### near

    public boolean near

#### primary

    public boolean primary

#### backup

    public boolean backup

#### heap

    public boolean heap

#### offheap

    public boolean offheap

### Constructor Detail

#### PeekModes

    protected PeekModes()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022